<div class="d-flex flex-wrap flex-md-row-reverse justify-content-between" *ngIf="!this.exibeNovo">
    <div class="col-12 col-md-6 p-0 mt-2">
        <div class="input-group no-border">
            <input type="text" #termo class="form-control" (keyup)="onChangeBusca(termo.value)" placeholder="Pesquisar...">
            <div class="input-group-append">
                <div class="input-group-text">
                    <i class="nc-icon nc-zoom-split"></i>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-4 p-0">
        <button type="button" class="btn btn-info" (click)="this.alternar()">
            <i class="nc-icon nc-simple-add"></i>
            Novo
        </button>
    </div>
</div>
<!--div class="alert alert-warning" role="alert">
    Seu plano permite a inclusão de até X atendentes.
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div-->
<div class="d-flex flex-row" *ngIf="this.exibeNovo">
    <div class="card col animated bounce">
        <form [formGroup]="formAtendente" (ngSubmit)="onSubmit()">
            <input type="hidden" id="usuarioId" name="usuarioId" formControlName="usuarioId" />
            <input type="hidden" id="Id" name="id" formControlName="id" />
            <div class="card-body">
                <div class="form-row">
                    <div class="col-md-7 form-group">
                        <label for="nome">Nome</label>
                        <input class="form-control" id="nome" name="nome" formControlName="nome" type="text" (blur)="onBlurNome()"/>
                        <small *ngIf="formAtendente.get('nome').errors">
                            <span *ngIf="formAtendente.get('nome').errors.required && (formAtendente.get('nome').dirty || formAtendente.get('nome').touched)" class="text-danger">O nome é obrigatório</span>
                            <span *ngIf="formAtendente.get('nome').errors.minlength && (formAtendente.get('nome').dirty || formAtendente.get('nome').touched)" class="text-danger">Informe o nome completo</span>
                            <span *ngIf="formAtendente.get('nome').errors.pattern && (formAtendente.get('nome').dirty || formAtendente.get('nome').touched)" class="text-danger">Informe um nome válido</span>
                        </small>
                    </div>
                    <div class="col-md-5 form-group">
                        <label for="login">Login</label>
                        <input class="form-control" id="login" name="login" formControlName="login" type="text"/>
                        <small *ngIf="formAtendente.get('login').errors">
                            <span *ngIf="formAtendente.get('login').errors.required && (formAtendente.get('login').dirty || formAtendente.get('login').touched)" class="text-danger">O login é obrigatório</span>
                            <span *ngIf="formAtendente.get('login').errors.pattern && (formAtendente.get('login').dirty || formAtendente.get('login').touched)" class="text-danger">Informe um login válido</span>
                        </small>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-7 form-group">
                        <label for="nome">E-mail</label>
                        <input class="form-control" id="email" name="email" formControlName="email" type="email"/>
                        <small *ngIf="formAtendente.get('email').errors">
                            <span *ngIf="formAtendente.get('email').errors.required && (formAtendente.get('email').dirty || formAtendente.get('email').touched)" class="text-danger">O e-mail é obrigatório</span>
                            <span *ngIf="formAtendente.get('email').errors.email && (formAtendente.get('email').dirty || formAtendente.get('email').touched)" class="text-danger">Informe um e-mail válido</span>
                        </small>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <div class="d-flex flex-row-reverse">
                    <button type="submit" class="btn btn-primary ml-2" >
                        <i class="nc-icon nc-check-2"></i>
                        Salvar
                    </button>
                    <button type="button" class="btn btn-secondary" (click)="this.ngOnInit()">
                        <i class="nc-icon nc-simple-remove"></i>
                        Cancelar
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>
<div class="row">
    <div *ngFor="let item of atendentes | async" href="#" class="col-md-3 animated fadeIn" (click)="editar(item)">
        <div class="card ">
            <div class="card-body text-center">
                <i class="nc-icon nc-single-02 text-primary" style="font-size: 48pt;"></i>
                <strong class="text-uppercase d-block mt-3" style="min-height: 42px;">{{ item.nome }}</strong>
            </div>
            <div class="card-footer ">
                <hr>
                <div class="stats">
                    <i class="fa fa-info-circle"></i>
                    <small>Atendimentos realizados</small>
                    <strong class="pull-right">187</strong>
                </div>
            </div>
        </div>
    </div>
</div>
    